Name:           libsigc++20
Version:        2.12.0
Release:        1
Summary:        Typesafe signal framework for C++
License:        LGPLv2+
URL:            https://github.com/libsigcplusplus/libsigcplusplus
Source0:        https://github.com/libsigcplusplus/libsigcplusplus/releases/download/%{version}/libsigc++-%{version}.tar.xz

BuildRequires:  docbook-style-xsl
BuildRequires:  doxygen graphviz
BuildRequires:  gcc-c++
BuildRequires:  libxslt
BuildRequires:  m4
BuildRequires:  meson
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl-interpreter

%description
libsigc++ implements a typesafe callback system for standard C++. It
allows you to define signals and to connect those signals to any
callback function, either global or a member function, regardless of
whether it is static or virtual.

libsigc++ is used by gtkmm to wrap the GTK+ signal system. It does not
depend on GTK+ or gtkmm.


%package devel
Summary:        Development tools for the typesafe signal framework for C++
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.


%package        help
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}

%description    help
This package contains the full API documentation for %{name}.


%prep
%autosetup -n libsigc++-%{version} -p1


%build
%meson -Dbuild-documentation=true
%meson_build


%install
%meson_install


%files
%license COPYING
%doc AUTHORS  NEWS
%{_libdir}/libsigc-2.0.so.0*

%files devel
%{_includedir}/*
%{_libdir}/sigc++-2.0/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libsigc-2.0.so

%files help
%doc %{_datadir}/doc/libsigc++-2.0/
%doc %{_datadir}/devhelp/


%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 2.12.0-1
- Upgrade to 2.12.0

* Mon Jun 13 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 2.10.8-1
- Upgrade to 2.10.8

* Thu Jan 6 2022 liyanan <liyanan32@huawei.com> - 2.10.6-2
- Add buildrequire graphviz

* Fri Jun 18 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2.10.6-1
- Upgrade to 2.10.6

* Wed Nov 25 2020 lingsheng <lingsheng@huawei.com> - 2.10.4-1
- Update to 2.10.4

* Thu Dec 12 2019 zoushuangshuang<zoushuangshuang@huawei.com> - 2.10.1-2
- Package init
